# Yahoo! UI Library

### resize 3.3.0

Yahoo! UI Library > resize > Resize
Search:
Filters Show Private Show Protected Show Deprecated

## Class Resize - extends Base

A base class for Resize, providing:

- Basic Lifecycle (initializer, renderUI, bindUI, syncUI, destructor)
- Applies drag handles to an element to make it resizable
- Here is the list of valid resize handles: `[ 't', 'tr', 'r', 'br', 'b', 'bl', 'l', 'tl' ]`. You can read this list as top, top-right, right, bottom-right, bottom, bottom-left, left, top-left.
- The drag handles are inserted into the element and positioned absolute. Some elements, such as a textarea or image, don't support children. To overcome that, set wrap:true in your config and the element willbe wrapped for you automatically.

Quick Example:

    var instance = new Y.Resize({
    node: '#resize1',
    preserveRatio: true,
    wrap: true,
    maxHeight: 170,
    maxWidth: 400,
    handles: 't, tr, r, br, b, bl, l, tl'
    });

Check the list of Configuration Attributes available for Resize.

### Constructor

Resize `( config )`

Parameters:
  `config <Object>` Object literal specifying widget configuration properties.

### Properties

#### ALL_HANDLES - `{String}`

Array containing all possible resizable handles.

#### changeHeightHandles - `boolean`

Whether the handle being dragged can change the height.
Default Value: false

#### changeLeftHandles - `boolean`

Whether the handle being dragged can change the left.
Default Value: false

#### changeTopHandles - `boolean`

Whether the handle being dragged can change the top.
Default Value: false

#### changeWidthHandles - `boolean`

Whether the handle being dragged can change the width.
Default Value: false

#### constrainSurrounding - `Object`

Stores the `constrain` surrounding information retrieved from _getBoxSurroundingInfo.
Default Value: null

#### delegate - `Object`

Store DD.Delegate reference for the respective Resize instance.
Default Value: null

#### HANDLE_TEMPLATE - `{String}`

Template used to create each resize handle.

#### info - `protected Object`

Stores the current values for the height, width, top and left. You are able to manipulate these values on resize in order to change the resize behavior.

#### lastInfo - `protected Object`

Stores the last values for the height, width, top and left.

#### nodeSurrounding - `Object`

Stores the node surrounding information retrieved from _getBoxSurroundingInfo.
Default Value: null

#### originalInfo - `protected Object`

Stores the original values for the height, width, top and left, stored on resize start.

#### PROXY_TEMPLATE - `{String}`

Template used to create the resize proxy.

#### REGEX_CHANGE_HEIGHT - `{String}`

Regex which matches with the handles that could change the height of the resizable element.

#### REGEX_CHANGE_LEFT - `{String}`

Regex which matches with the handles that could change the left of the resizable element.

#### REGEX_CHANGE_TOP - `{String}`

Regex which matches with the handles that could change the top of the resizable element.

#### REGEX_CHANGE_WIDTH - `{String}`

Regex which matches with the handles that could change the width of the resizable element.

#### Resize.ATTRS - `static Object`

Static property used to define the default attribute configuration for the Resize.

#### Resize.NAME - `static String`

Static property provides a string to identify the class.

#### totalHSurrounding - `number`

Each box has a content area and optional surrounding padding and border areas. This property stores the sum of all horizontal surrounding * information needed to adjust the node height.
Default Value: 0

#### totalVSurrounding - `number`

Each box has a content area and optional surrounding padding and border areas. This property stores the sum of all vertical surrounding * information needed to adjust the node height.
Default Value: 0

#### WRAP_TEMPLATE - `{String}`

Template used to create the resize wrapper node when needed.

#### wrapperSurrounding - `Object`

Stores the wrapper surrounding information retrieved from _getBoxSurroundingInfo.
Default Value: null

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Base:

`name`

### Methods

#### _bindDD

`private void _bindDD ( )`
Bind the handles DragDrop events to the Resize instance.

#### _bindHandle

`private void _bindHandle ( )`
Bind the events related to the handles (_onHandleMouseEnter, _onHandleMouseLeave).

#### _buildHandle

`protected void _buildHandle ( handle )`
Creates the handle element based on the handle name and initialize the DragDrop on it.

Parameters:
  `handle <String>` Handle name ('t', 'tr', 'b', ...).

#### _calcResize

`protected void _calcResize ( )`
Basic resize calculations.

#### _checkConstrain

`protected void _checkConstrain ( axis , axisConstrain , offset )`
Helper method to update the current values on info to respect the constrain node.

Parameters:
  `axis <String>` 'top' or 'left'
  `axisConstrain <String>` 'bottom' or 'right'
  `offset <String>` 'offsetHeight' or 'offsetWidth'

#### _checkHeight

`protected void _checkHeight ( )`
Update the current values on info to respect the maxHeight and minHeight.

#### _checkRatio

`protected void _checkRatio ( )`
Update the current values on info calculating the correct ratio for the other values.

#### _checkRegion

`protected boolean _checkRegion ( )`
Check whether the resizable node is inside the constrain region.

#### _checkSize

`protected void _checkSize ( offset , size )`
Helper method to update the current size value on info to respect the min/max values and fix the top/left calculations.

Parameters:
  `offset <String>` 'offsetHeight' or 'offsetWidth'
  `size <number>` Size to restrict the offset

#### _checkWidth

`protected void _checkWidth ( )`
Update the current values on info to respect the maxWidth and minWidth.

#### _copyStyles

`protected void _copyStyles ( node , wrapper )`
Copy relevant styles of the node to the wrapper.

Parameters:
  `node <Node>` Node from.
  `wrapper <Node>` Node to.

#### _createEvents

`private void _createEvents ( )`
Create the custom events used on the Resize.

#### _defMouseUpFn

`protected void _defMouseUpFn ( event )`
Default resize:mouseUp handler

Parameters:
  `event <EventFacade>` The Event object

#### _defResizeAlignFn

`protected void _defResizeAlignFn ( event )`
Default resize:align handler

Parameters:
  `event <EventFacade>` The Event object

#### _defResizeEndFn

`protected void _defResizeEndFn ( event )`
Default resize:end handler

Parameters:
  `event <EventFacade>` The Event object

#### _defResizeFn

`protected void _defResizeFn ( event )`
Default resize:resize handler

Parameters:
  `event <EventFacade>` The Event object

#### _defResizeStartFn

`protected void _defResizeStartFn ( event )`
Default resize:start handler

Parameters:
  `event <EventFacade>` The Event object

#### _getBoxSurroundingInfo

`private Object _getBoxSurroundingInfo ( node )`
Each box has a content area and optional surrounding margin, padding and * border areas. This method get all this information from the passed node. For more reference see http://www.w3.org/TR/CSS21/box.html#box-dimensions.

Parameters:
  `node <Node>`

#### _getConstrainRegion

`protected Object Region _getConstrainRegion ( )`
Get the constrain region based on the `constrain` attribute.

#### _getInfo

`private void _getInfo ( node , event )`

Generates metadata to the info and originalInfo

    bottom, actXY, left, top, offsetHeight, offsetWidth, right

Parameters:
  `node <Node>`
  `event <EventFacade>`

#### _handleMouseUpEvent

`protected void _handleMouseUpEvent ( event )`
Fires the resize:mouseUp event.

Parameters:
  `event <EventFacade>` resize:mouseUp event facade

#### _handleResizeAlignEvent

`protected void _handleResizeAlignEvent ( event )`
Fires the resize:align event.

Parameters:
  `event <EventFacade>` resize:resize event facade

#### _handleResizeEndEvent

`protected void _handleResizeEndEvent ( event )`
Fires the resize:end event.

Parameters:
  `event <EventFacade>` resize:end event facade

#### _handleResizeEvent

`protected void _handleResizeEvent ( event )`
Fires the resize:resize event.

Parameters:
  `event <EventFacade>` resize:resize event facade

#### _handleResizeStartEvent

`protected void _handleResizeStartEvent ( event )`
Fires the resize:start event.

Parameters:
  `event <EventFacade>` resize:start event facade

#### _onHandleMouseEnter

`protected void _onHandleMouseEnter ( event )`
Mouseenter event handler for the handles.

Parameters:
  `event <EventFacade>`

#### _onHandleMouseLeave

`protected void _onHandleMouseLeave ( event )`
Mouseout event handler for the handles.

Parameters:
  `event <EventFacade>`

#### _onWrapperMouseEnter

`protected void _onWrapperMouseEnter ( event )`
Mouseenter event handler for the wrapper.

Parameters:
  `event <EventFacade>`

#### _onWrapperMouseLeave

`protected void _onWrapperMouseLeave ( event )`
Mouseleave event handler for the wrapper.

Parameters:
  `event <EventFacade>`

#### _renderHandles

`protected void _renderHandles ( )`
Responsible for loop each handle element and append to the wrapper.

#### _renderProxy

`protected void _renderProxy ( )`
Render the proxyNode element and make it sibling of the node.

#### _resize

`protected void _resize ( event )`
Logic method for _defResizeFn. Allow AOP.

Parameters:
  `event <EventFacade>` The Event object

#### _resizeAlign

`protected void _resizeAlign ( event )`
Logic method for _defResizeAlignFn. Allow AOP.

Parameters:
  `event <EventFacade>` The Event object

#### _resizeEnd

`protected void _resizeEnd ( event )`
Logic method for _defResizeEndFn. Allow AOP.

Parameters:
  `event <EventFacade>` The Event object

#### _resizeStart

`protected void _resizeStart ( event )`
Logic method for _defResizeStartFn. Allow AOP.

Parameters:
  `event <EventFacade>` The Event object

#### _setActiveHandlesUI

`protected void _setActiveHandlesUI ( val )`
Set the active state of the handles.

Parameters:
  `val <boolean>` True to activate the handles, false to deactivate.

#### _setHandleFromNode

`protected void _setHandleFromNode ( node )`
Handles setting the activeHandle from a node, used from startDrag (for touch) and mouseenter (for mouse).

Parameters:
  `node <Node>`

#### _setHandles

`protected void _setHandles ( val )`
Setter for the handles attribute

Parameters:
  `val <String>`

#### _setHideHandlesUI

`protected void _setHideHandlesUI ( val )`
Set the visibility of the handles.

Parameters:
  `val <boolean>` True to hide the handles, false to show.

#### _setWrap

`protected void _setWrap ( val )`
Setter for the wrap attribute

Parameters:
  `val <boolean>`

#### _syncProxyUI

`protected void _syncProxyUI ( )`
Sync the proxy UI with internal values from info.

#### _syncUI

`protected void _syncUI ( )`
Sync the Resize UI with internal values from info.

#### _updateChangeHandleInfo

`private void _updateChangeHandleInfo ( )`
Update `instance.changeHeightHandles, instance.changeLeftHandles, instance.changeTopHandles, instance.changeWidthHandles` information.

#### _updateInfo

`private void _updateInfo ( )`
Update info values (bottom, actXY, left, top, offsetHeight, offsetWidth, right).

#### _updateSurroundingInfo

`private void _updateSurroundingInfo ( )`
Update properties nodeSurrounding, wrapperSurrounding, totalVSurrounding, totalHSurrounding.

#### _valueWrapper

`protected void _valueWrapper ( )`
Default value for the wrapper attribute

#### bindUI

`protected void bindUI ( )`
Bind the events on the Resize UI. Lifecycle.

#### destructor

`protected void destructor ( )`
Descructor lifecycle implementation for the Resize class. Purges events attached to the node (and all child nodes) and removes the Resize handles.

#### eachHandle

`void eachHandle ( fn )`

Loop through each handle which is being used and executes a callback.

Example:

    instance.eachHandle(
    function(handleName, index) { ... }
    );

Parameters:
  `fn <function>` Callback function to be executed for each handle.

#### initializer

`protected void initializer ( )`
Construction logic executed during Resize instantiation. Lifecycle.

#### renderer

`protected void renderer ( )`
Creates DOM (or manipulates DOM for progressive enhancement) This method is invoked by initializer(). It's chained automatically for subclasses if required.

#### renderUI

`protected void renderUI ( )`
Create the DOM structure for the Resize. Lifecycle.

#### syncUI

`protected void syncUI ( )`
Sync the Resize UI.

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

### Events

#### activeHandleChange

`activeHandleChange ( event )`
Fires when the value for the configuration attribute 'activeHandle' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### activeHandleNodeChange

`activeHandleNodeChange ( event )`
Fires when the value for the configuration attribute 'activeHandleNode' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### autoHideChange

`autoHideChange ( event )`
Fires when the value for the configuration attribute 'autoHide' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### constrainChange

`constrainChange ( event )`
Fires when the value for the configuration attribute 'constrain' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### defMinHeightChange

`defMinHeightChange ( event )`
Fires when the value for the configuration attribute 'defMinHeight' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### defMinWidthChange

`defMinWidthChange ( event )`
Fires when the value for the configuration attribute 'defMinWidth' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### handlesChange

`handlesChange ( event )`
Fires when the value for the configuration attribute 'handles' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### maxHeightChange

`maxHeightChange ( event )`
Fires when the value for the configuration attribute 'maxHeight' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### maxWidthChange

`maxWidthChange ( event )`
Fires when the value for the configuration attribute 'maxWidth' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### minHeightChange

`minHeightChange ( event )`
Fires when the value for the configuration attribute 'minHeight' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### minWidthChange

`minWidthChange ( event )`
Fires when the value for the configuration attribute 'minWidth' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### nodeChange

`nodeChange ( event )`
Fires when the value for the configuration attribute 'node' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### preserveRatioChange

`preserveRatioChange ( event )`
Fires when the value for the configuration attribute 'preserveRatio' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### proxyNodeChange

`proxyNodeChange ( event )`
Fires when the value for the configuration attribute 'proxyNode' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### resize:align

`resize:align ( event )`
Handles the resize align event.

Parameters:
  `event <Event.Facade>` The resize align event.

Bubbles: This event bubbles to Resize.
Preventable: This event is preventable by method e.preventDefault(). The default function executed by this event is _defResizeAlignFn.

#### resize:end

`resize:end ( event )`
Handles the resize end event. Fired when a handle stop to be dragged.

Parameters:
  `event <Event.Facade>` The resize end event.

Bubbles: This event bubbles to Resize.
Preventable: This event is preventable by method e.preventDefault(). The default function executed by this event is _defResizeEndFn.

#### resize:mouseUp

`resize:mouseUp ( event )`
Handles the resize mouseUp event. Fired when a mouseUp event happens on a handle.

Parameters:
  `event <Event.Facade>` The resize mouseUp event.

Bubbles: This event bubbles to Resize.
Preventable: This event is preventable by method e.preventDefault(). The default function executed by this event is _defMouseUpFn.

#### resize:resize

`resize:resize ( event )`
Handles the resize event. Fired on each pixel when the handle is being dragged.

Parameters:
  `event <Event.Facade>` The resize event.

Bubbles: This event bubbles to Resize.
Preventable: This event is preventable by method e.preventDefault(). The default function executed by this event is _defResizeFn.

#### resize:start

`resize:start ( event )`
Handles the resize start event. Fired when a handle starts to be dragged.

Parameters:
  `event <Event.Facade>` The resize start event.

Bubbles: This event bubbles to Resize.
Preventable: This event is preventable by method e.preventDefault(). The default function executed by this event is _defResizeStartFn.

#### resizingChange

`resizingChange ( event )`
Fires when the value for the configuration attribute 'resizing' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### tickXChange

`tickXChange ( event )`
Fires when the value for the configuration attribute 'tickX' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### tickYChange

`tickYChange ( event )`
Fires when the value for the configuration attribute 'tickY' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### wrapChange

`wrapChange ( event )`
Fires when the value for the configuration attribute 'wrap' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### wrapperChange

`wrapperChange ( event )`
Fires when the value for the configuration attribute 'wrapper' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### wrapTypesChange

`wrapTypesChange ( event )`
Fires when the value for the configuration attribute 'wrapTypes' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

### Configuration Attributes

#### activeHandle `- private String`

Stores the active handle during the resize.
Default Value: null

#### activeHandleNode `- private Node`

Stores the active handle element during the resize.
Default Value: null

#### autoHide `- boolean`

False to ensure that the resize handles are always visible, true to display them only when the user mouses over the resizable borders.
Default Value: false

#### constrain `- {String/Object/Node}`

Will attempt to constrain the resize node to the boundaries. Arguments:
'view': Contrain to Viewport
'#selector_string': Constrain to this node
'{Region Object}': An Object Literal containing a valid region (top, right, bottom, left) of page positions

#### defMinHeight `- Number`

The default minimum height of the element. Only used when ResizeConstrained is not plugged.
Default Value: 15

#### defMinWidth `- Number`

The default minimum width of the element. Only used when ResizeConstrained is not plugged.
Default Value: 15

#### handles `- Array | String`

The handles to use (any combination of): 't', 'b', 'r', 'l', 'bl', 'br', 'tl', 'tr'. Can use a shortcut of All.
Default Value: all

#### maxHeight `- Number`

The maximum height of the element
Default Value: Infinity

#### maxWidth `- Number`

The maximum width of the element
Default Value: Infinity

#### minHeight `- Number`

The minimum height of the element
Default Value: 15

#### minWidth `- Number`

The minimum width of the element
Default Value: 15

#### node `- Node`

The selector or element to resize. Required.

#### preserveRatio `- boolean`

Maintain the element's ratio when resizing.
Default Value: false

#### proxyNode `- String | Node`

The Resize proxy element.
Default Value: Generated using an internal HTML markup

#### resizing `- boolean`

True when the element is being Resized.
Default Value: false

#### tickX `- Number | false`

The number of x ticks to span the resize to.
Default Value: false

#### tickY `- Number | false`

The number of y ticks to span the resize to.
Default Value: false

#### wrap `- boolean`

True to wrap an element with a div if needed (required for textareas and images, defaults to false) in favor of the handles config option. The wrapper element type (default div) could be over-riden passing the `wrapper` attribute.
Default Value: false

#### wrapper `- writeonce String | Node`

Element to wrap the `wrapTypes`. This element will house the handles elements.
Default Value: div

#### wrapTypes `- Regex`

Elements that requires a wrapper by default. Normally are elements which cannot have children elements.
Default Value: /canvas|textarea|input|select|button|img/i

#### Configuration attributes inherited from Base:

`destroyed initialized`

Copyright © 2011 Yahoo! Inc. All rights reserved.